%define name	 kflickr
%define version	 0.5
%define release	 %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Communications
License:	GPL
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
URL:		http://kflickr.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Permit to easily upload photos to your Flickr.com account

BuildRequires:  kdebase-devel

Requires:       kdebase 



%description
KFlickr is a standalone KDE application that allows 
for easy upload of your favourite photos to your Flickr.com account

%prep
%setup -q -n %{name}-%{version}

%build

export QTDIR=%_prefix/lib/qt3
export QTLIB=$QTDIR/%_lib

%configure --enable-final --disable-rpath --enable-strict

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Internet/Other" $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/kflickr.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it      FIXME
#rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
#ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_docdir}/HTML/en/%{name}
%doc %{_docdir}/HTML/en/%{name}/common
%doc %{_docdir}/HTML/en/%{name}/index.cache.bz2
%doc %{_docdir}/HTML/en/%{name}/index.docbook
%doc %{_docdir}/HTML/en/%{name}/shot1.png

%{_bindir}/%name
%{_menudir}/%name

%{_datadir}/applnk/Graphics/kflickr.desktop
%{_datadir}/apps/kflickr/kflickrui.rc
%{_datadir}/apps/kflickr/batchmode.png
%{_datadir}/apps/kflickr/icons/hicolor/16x16/actions/add.png
%{_datadir}/apps/kflickr/icons/hicolor/16x16/actions/down.png
%{_datadir}/apps/kflickr/icons/hicolor/16x16/actions/edit.png
%{_datadir}/apps/kflickr/icons/hicolor/16x16/actions/remove.png
%{_datadir}/apps/kflickr/icons/hicolor/16x16/actions/rotate.png
%{_datadir}/apps/kflickr/icons/hicolor/16x16/actions/up.png
%{_datadir}/apps/kflickr/icons/hicolor/16x16/actions/viewmag.png

%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%{_iconsdir}/hicolor/16x16/apps/kflickr.png
%{_iconsdir}/hicolor/32x32/apps/kflickr.png




%changelog
* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-07-11 01:25:25 (38724)
- Increase release
- Use macro for icons
- XDG

* Tue Jul 11 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-07-11 01:15:46 (38722)
- import kflickr-0.5-3mdk

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-3mdk
- Rebuild to generate categories

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 0.5-2mdk
- fix build on x86_64

* Fri Nov 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-1mdk
- 0.5

* Sun Oct 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-2mdk
- Fix Build for amd64

* Wed Oct 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-1mdk
- New release 0.3

* Thu Sep 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-2mdk
- Forgot Requires/BuildRequires

* Thu Sep 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-1mdk
- Initial Mandriva package

